List change requests
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/change-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/change-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/change-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>"
},
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"release": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Change requests
List change requests
Retrieve a paginated list of change requests for a project. Supports filtering by document, release, type, and status.
GET
/
api
/
projects
/
{projectId}
/
change-requests
List change requests
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project unique identifier
Query Parameters
Current page
Number of items per page
Filter by document ID
Filter by release ID
Filter by change request type(s)
Available options:
decisions, deployments, publish_document, unpublish_document, deploy_environment, undeploy_environment Filter by status (pending or closed)
Available options:
pending, closed, null Was this page helpful?
⌘I